### Method

# GLib KeyFile get_int64

since: 2.26

#### Declaration

    gint64
    g_key_file_get_int64 (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      GError** error
    )

#### Description

Returns the value associated with `key` under `group_name` as a signed 64-bit integer. This is similar to `g_key_file_get_integer()` but can return 64-bit results without truncation.

Available since: 2.26

#### Parameters

`group_name`

  Type: `const gchar*`

  A non-`NULL` group name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A non-`NULL` key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint64`

The value associated with the key as a signed 64-bit integer, or 0 if the key was not found or could not be parsed.